# featureUsageCreate

Create a feature usage record for usage based billing

**Scope required:** billing:write

For a complete list of input attributes see the [FeatureUsageAttributes](/developer/api-reference/types/featureusageattributes.md) type

```graphql
mutation featureUsageCreate ($attributes: FeatureUsageAttributes!) {
  featureUsageCreate (attributes: $attributes) {
      errors
      featureUsage {
        accountId
        createdAt
        featureId
        id
        notes
        quantity
        subscriptionChargeId
        subscriptionId
        updatedAt
        usageAt
      }
  }
}
```

## Arguments

```json
{
  "attributes": {
    "quantity": "1.00",
    "usageAt": "2022-06-01T00:00:00Z",
    "featureId": "456123",
    "featureCode": "",
    "accountId": "456123",
    "subscriptionId": "456123",
    "subscriptionChargeId": "456123",
    "overrideUsageAtLimit": true,
    "notes": ""
  }
}
```

| Name       | Type                                                                               | Description |
| ---------- | ---------------------------------------------------------------------------------- | ----------- |
| attributes | [FeatureUsageAttributes](/developer/api-reference/types/featureusageattributes.md) |             |

## Response

| Name         | Type                                                           | Description |
| ------------ | -------------------------------------------------------------- | ----------- |
| errors       | String                                                         |             |
| featureUsage | [FeatureUsage](/developer/api-reference/types/featureusage.md) |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/featureusagecreate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
